import{s as qe,n as Ve,o as We}from"../chunks/scheduler.7da89386.js";import{S as Xe,i as je,g as d,s as a,r as c,A as Be,h as s,f as o,c as i,j as v,u as p,x as b,k as _,y as r,a as m,v as u,d as g,t as h,w as f}from"../chunks/index.0b7befd3.js";import{D as z}from"../chunks/Docstring.b7b38e43.js";import{H as Me}from"../chunks/Heading.8a936589.js";function Ge(Ae){let y,Z,Q,ee,w,oe,t,M,ge,q,Re="Base class for implementing models using ONNX Runtime.",he,V,Te=`The RyzenAIModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using <code>optimum.exporters.onnx</code> toolchain.`,fe,W,Ne="Class attributes:",ve,X,Ce=`<li>model_type (<code>str</code>, defaults to <code>&quot;onnx_model&quot;</code>) — The name of the model type to use when
registering the RyzenAIModel classes.</li> <li>auto_model_class (<code>Type</code>, defaults to <code>AutoModel</code>) — The “AutoModel” class to represented by the
current RyzenAIModel class.</li>`,_e,j,ke="Common attributes:",ye,B,Pe=`<li>model (<code>ort.InferenceSession</code>) — The ONNX Runtime InferenceSession that is running the model.</li> <li>config (<a href="https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> — The configuration of the model.</li> <li>model_save_dir (<code>Path</code>) — The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.</li> <li>providers (\`List[str]) — The list of execution providers available to ONNX Runtime.</li>`,be,$,A,ze,G,Oe="Instantiate a pretrained model from a pre-trained model configuration.",$e,x,R,xe,K,De=`Saves a model and its configuration file to a directory, so that it can be re-loaded using the
<code>from_pretrained</code> class method.`,Ie,I,T,we,J,Fe="Propagates the given input shapes on the model’s layers, fixing the input shapes of the model.",te,N,ne,C,k,re,P,O,ae,D,F,ie,U,L,de,S,se,E,H,le,Y,me;return w=new Me({props:{title:"RyzenAIModel",local:"optimum.amd.ryzenai.RyzenAIModel",headingTag:"h2"}}),M=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModel",anchor:"optimum.amd.ryzenai.RyzenAIModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L47"}}),A=new z({props:{name:"from_pretrained",anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained",parameters:[{name:"model_id",val:": Union"},{name:"vaip_config",val:": str = None"},{name:"export",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": Optional = None"},{name:"cache_dir",val:": Optional = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": Optional = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'VitisAIExecutionProvider'"},{name:"session_options",val:": Optional = None"},{name:"provider_options",val:": Optional = None"},{name:"trust_remote_code",val:": bool = False"},{name:"revision",val:": Optional = None"},{name:"library_name",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[Union[bool,str]]</code>, defaults to <code>None</code>) &#x2014;
Deprecated. Please use the <code>token</code> argument instead.`,name:"use_auth_token"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.token",description:`<strong>token</strong> (<code>Optional[Union[bool,str]]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>huggingface-cli login</code> (stored in <code>huggingface_hub.constants.HF_TOKEN_PATH</code>).`,name:"token"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;VitisAIExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L381",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The loaded RyzenAIModel model.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>RyzenAIModel</code></p>
`,parameterGroups:[{title:"Parameters for decoder models (RyzenAIForSpeechSeq2Seq)",parametersDescription:[{anchor:"optimum.amd.ryzenai.RyzenAIModel.from_pretrained.use_cache",description:`<strong>use_cache</strong> (<code>Optional[bool]</code>, defaults to <code>True</code>) &#x2014;
Whether or not past key/values cache should be used. Defaults to <code>True</code>.`,name:"use_cache"}]}]}}),R=new z({props:{name:"save_pretrained",anchor:"optimum.amd.ryzenai.RyzenAIModel.save_pretrained",parameters:[{name:"save_directory",val:": Union"},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.amd.ryzenai.RyzenAIModel.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>Union[str, os.PathLike]</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it.</p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p>Using <code>push_to_hub=True</code> will synchronize the repository you are pushing to with <code>save_directory</code>,
which requires <code>save_directory</code> to be a local clone of the repo you are pushing to if it&#x2019;s an existing
folder. Pass along <code>temp_dir=True</code> to use a temporary directory instead.</p>

					</div>`,name:"push_to_hub"}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/modeling_base.py#L104"}}),T=new z({props:{name:"reshape",anchor:"optimum.amd.ryzenai.RyzenAIModel.reshape",parameters:[{name:"model_path",val:": Union"},{name:"input_shape_dict",val:": Dict"},{name:"output_shape_dict",val:": Dict"}],parametersDescription:[{anchor:"optimum.amd.ryzenai.RyzenAIModel.reshape.model_path",description:`<strong>model_path</strong> (Union[str, Path]) &#x2014;
Path to the model.`,name:"model_path"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.reshape.input_shape_dict",description:`<strong>input_shape_dict</strong> (Dict[str, Tuple[int]]) &#x2014;
Input shapes for the model.`,name:"input_shape_dict"},{anchor:"optimum.amd.ryzenai.RyzenAIModel.reshape.output_shape_dict",description:`<strong>output_shape_dict</strong> (Dict[str, Tuple[int]]) &#x2014;
Output shapes for the model.`,name:"output_shape_dict"}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L533",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Path to the model after updating the input shapes.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Union[str, Path]</p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the model provided has dynamic axes in input/output and no input/output shape is provided.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),N=new Me({props:{title:"Computer vision",local:"optimum.amd.ryzenai.RyzenAIModelForImageClassification",headingTag:"h3"}}),k=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModelForImageClassification",anchor:"optimum.amd.ryzenai.RyzenAIModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L604"}}),O=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModelForImageToImage",anchor:"optimum.amd.ryzenai.RyzenAIModelForImageToImage",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L700"}}),F=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModelForObjectDetection",anchor:"optimum.amd.ryzenai.RyzenAIModelForObjectDetection",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L676"}}),L=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModelForSemanticSegmentation",anchor:"optimum.amd.ryzenai.RyzenAIModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L696"}}),S=new Me({props:{title:"Custom Tasks",local:"optimum.amd.ryzenai.RyzenAIModelForCustomTasks",headingTag:"h3"}}),H=new z({props:{name:"class optimum.amd.ryzenai.RyzenAIModelForCustomTasks",anchor:"optimum.amd.ryzenai.RyzenAIModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"vaip_config",val:": Union = None"},{name:"model_save_dir",val:": Union = None"},{name:"preprocessors",val:": Optional = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum.amd/blob/vr_149/optimum/amd/ryzenai/modeling.py#L568"}}),{c(){y=d("meta"),Z=a(),Q=d("p"),ee=a(),c(w.$$.fragment),oe=a(),t=d("div"),c(M.$$.fragment),ge=a(),q=d("p"),q.textContent=Re,he=a(),V=d("p"),V.innerHTML=Te,fe=a(),W=d("p"),W.textContent=Ne,ve=a(),X=d("ul"),X.innerHTML=Ce,_e=a(),j=d("p"),j.textContent=ke,ye=a(),B=d("ul"),B.innerHTML=Pe,be=a(),$=d("div"),c(A.$$.fragment),ze=a(),G=d("p"),G.textContent=Oe,$e=a(),x=d("div"),c(R.$$.fragment),xe=a(),K=d("p"),K.innerHTML=De,Ie=a(),I=d("div"),c(T.$$.fragment),we=a(),J=d("p"),J.textContent=Fe,te=a(),c(N.$$.fragment),ne=a(),C=d("div"),c(k.$$.fragment),re=a(),P=d("div"),c(O.$$.fragment),ae=a(),D=d("div"),c(F.$$.fragment),ie=a(),U=d("div"),c(L.$$.fragment),de=a(),c(S.$$.fragment),se=a(),E=d("div"),c(H.$$.fragment),le=a(),Y=d("p"),this.h()},l(e){const n=Be("svelte-u9bgzb",document.head);y=s(n,"META",{name:!0,content:!0}),n.forEach(o),Z=i(e),Q=s(e,"P",{}),v(Q).forEach(o),ee=i(e),p(w.$$.fragment,e),oe=i(e),t=s(e,"DIV",{class:!0});var l=v(t);p(M.$$.fragment,l),ge=i(l),q=s(l,"P",{"data-svelte-h":!0}),b(q)!=="svelte-12yueui"&&(q.textContent=Re),he=i(l),V=s(l,"P",{"data-svelte-h":!0}),b(V)!=="svelte-1u31eqj"&&(V.innerHTML=Te),fe=i(l),W=s(l,"P",{"data-svelte-h":!0}),b(W)!=="svelte-wz8va1"&&(W.textContent=Ne),ve=i(l),X=s(l,"UL",{"data-svelte-h":!0}),b(X)!=="svelte-puccq4"&&(X.innerHTML=Ce),_e=i(l),j=s(l,"P",{"data-svelte-h":!0}),b(j)!=="svelte-86gko0"&&(j.textContent=ke),ye=i(l),B=s(l,"UL",{"data-svelte-h":!0}),b(B)!=="svelte-1u6qygx"&&(B.innerHTML=Pe),be=i(l),$=s(l,"DIV",{class:!0});var ce=v($);p(A.$$.fragment,ce),ze=i(ce),G=s(ce,"P",{"data-svelte-h":!0}),b(G)!=="svelte-18vxhwp"&&(G.textContent=Oe),ce.forEach(o),$e=i(l),x=s(l,"DIV",{class:!0});var pe=v(x);p(R.$$.fragment,pe),xe=i(pe),K=s(pe,"P",{"data-svelte-h":!0}),b(K)!=="svelte-193ik36"&&(K.innerHTML=De),pe.forEach(o),Ie=i(l),I=s(l,"DIV",{class:!0});var ue=v(I);p(T.$$.fragment,ue),we=i(ue),J=s(ue,"P",{"data-svelte-h":!0}),b(J)!=="svelte-16wd89q"&&(J.textContent=Fe),ue.forEach(o),l.forEach(o),te=i(e),p(N.$$.fragment,e),ne=i(e),C=s(e,"DIV",{class:!0});var Ue=v(C);p(k.$$.fragment,Ue),Ue.forEach(o),re=i(e),P=s(e,"DIV",{class:!0});var Le=v(P);p(O.$$.fragment,Le),Le.forEach(o),ae=i(e),D=s(e,"DIV",{class:!0});var Se=v(D);p(F.$$.fragment,Se),Se.forEach(o),ie=i(e),U=s(e,"DIV",{class:!0});var Ee=v(U);p(L.$$.fragment,Ee),Ee.forEach(o),de=i(e),p(S.$$.fragment,e),se=i(e),E=s(e,"DIV",{class:!0});var He=v(E);p(H.$$.fragment,He),He.forEach(o),le=i(e),Y=s(e,"P",{}),v(Y).forEach(o),this.h()},h(){_(y,"name","hf:doc:metadata"),_(y,"content",Ke),_($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),_(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){r(document.head,y),m(e,Z,n),m(e,Q,n),m(e,ee,n),u(w,e,n),m(e,oe,n),m(e,t,n),u(M,t,null),r(t,ge),r(t,q),r(t,he),r(t,V),r(t,fe),r(t,W),r(t,ve),r(t,X),r(t,_e),r(t,j),r(t,ye),r(t,B),r(t,be),r(t,$),u(A,$,null),r($,ze),r($,G),r(t,$e),r(t,x),u(R,x,null),r(x,xe),r(x,K),r(t,Ie),r(t,I),u(T,I,null),r(I,we),r(I,J),m(e,te,n),u(N,e,n),m(e,ne,n),m(e,C,n),u(k,C,null),m(e,re,n),m(e,P,n),u(O,P,null),m(e,ae,n),m(e,D,n),u(F,D,null),m(e,ie,n),m(e,U,n),u(L,U,null),m(e,de,n),u(S,e,n),m(e,se,n),m(e,E,n),u(H,E,null),m(e,le,n),m(e,Y,n),me=!0},p:Ve,i(e){me||(g(w.$$.fragment,e),g(M.$$.fragment,e),g(A.$$.fragment,e),g(R.$$.fragment,e),g(T.$$.fragment,e),g(N.$$.fragment,e),g(k.$$.fragment,e),g(O.$$.fragment,e),g(F.$$.fragment,e),g(L.$$.fragment,e),g(S.$$.fragment,e),g(H.$$.fragment,e),me=!0)},o(e){h(w.$$.fragment,e),h(M.$$.fragment,e),h(A.$$.fragment,e),h(R.$$.fragment,e),h(T.$$.fragment,e),h(N.$$.fragment,e),h(k.$$.fragment,e),h(O.$$.fragment,e),h(F.$$.fragment,e),h(L.$$.fragment,e),h(S.$$.fragment,e),h(H.$$.fragment,e),me=!1},d(e){e&&(o(Z),o(Q),o(ee),o(oe),o(t),o(te),o(ne),o(C),o(re),o(P),o(ae),o(D),o(ie),o(U),o(de),o(se),o(E),o(le),o(Y)),o(y),f(w,e),f(M),f(A),f(R),f(T),f(N,e),f(k),f(O),f(F),f(L),f(S,e),f(H)}}}const Ke='{"title":"RyzenAIModel","local":"optimum.amd.ryzenai.RyzenAIModel","sections":[{"title":"Computer vision","local":"optimum.amd.ryzenai.RyzenAIModelForImageClassification","sections":[],"depth":3},{"title":"Custom Tasks","local":"optimum.amd.ryzenai.RyzenAIModelForCustomTasks","sections":[],"depth":3}],"depth":2}';function Je(Ae){return We(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class oo extends Xe{constructor(y){super(),je(this,y,Je,Ge,qe,{})}}export{oo as component};
